2008年04月26日

リポジトリから削除されたRails 1.2.6をインストールする。

現在進行中のプロジェクトのテストが一通り終わったので、本番環境にデプロイしようと思ったらRails 1.2.6がインストール出来ない。。。


# gem install rails --version 1.2.6 --include-dependencies
ERROR: could not find rails locally or in a repository


今更2.0に移行してテストし直すわけにもいかないので、とりあえずエラーメッセージで調べてみると、フォーラムに解決策があったのでメモ。

環境
・CentOS 5.1 64bit
・Ruby 1.8.5


# gem install --source http://gems.rubyforge.org rails -v 1.2.6 -y --include-dependencies
INFO: `gem install -y` is now default and will be removed
INFO: use --ignore-dependencies to install only the gems you list
Bulk updating Gem source index for: http://gems.rubyforge.org/
Successfully installed activesupport-1.4.4
Successfully installed activerecord-1.15.6
Successfully installed actionpack-1.13.6
Successfully installed actionmailer-1.3.6
Successfully installed actionwebservice-1.2.6
Successfully installed rails-1.2.6
6 gems installed
Installing ri documentation for activesupport-1.4.4...
Installing ri documentation for activerecord-1.15.6...
Installing ri documentation for actionpack-1.13.6...
Installing ri documentation for actionmailer-1.3.6...
Installing ri documentation for actionwebservice-1.2.6...
Installing RDoc documentation for activesupport-1.4.4...
Installing RDoc documentation for activerecord-1.15.6...
Installing RDoc documentation for actionpack-1.13.6...
Installing RDoc documentation for actionmailer-1.3.6...
Installing RDoc documentation for actionwebservice-1.2.6...


とりあえず解決してよかったけど、次からは2.0で開発するようにします。

以上です。


ラベル:ruby Linux Rails CentOS
posted by 何某。 at 17:16| Comment(0) | TrackBack(0) | 雑記 | このブログの読者になる | 更新情報をチェックする
この記事へのコメント
コメントを書く
お名前:

メールアドレス:

ホームページアドレス:

コメント:

認証コード: [必須入力]


※画像の中の文字を半角で入力してください。

この記事へのトラックバック
×

この広告は180日以上新しい記事の投稿がないブログに表示されております。